Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.context.control
Class ContextMessages

    java.lang.Object
      org.deegree.portal.standard.context.control.ContextMessages

    public class ContextMessages

extends Object

This class reads the context.properties that holds the needed data for the full/normal screen mode

Version:
  $Revision: $, $Date: 29 Jun 2007 16:45:02$
Author:
  Moataz Elmasry, last edited by: $Author: elmasri$

Constructor Summary
`ContextMessages()` empty constructor

Method Summary
`static String` | `getMessage(String key, Object... arguments)` Returns the message assigned to the passed key.
`static String` | `getName()`
`static String` | `getString(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMessages

    public ContextMessages()

  empty constructor

Method Detail

### getString

    public static String getString(String key)

  Parameters:
    `key` -
  Returns:
    the message assigned to the passed key

### getMessage

    public static String getMessage(String key,
                                    Object... arguments)

  Returns the message assigned to the passed key. If no message is assigned, an error message will be returned that indicates the missing key.

  Parameters:
    `key` -
    `arguments` -
  Returns:
    the message assigned to the passed key

### getName

    public static String getName()

  Returns:
    The file name of the used properties file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org